Sourced
llms.txt
View Markdown

Billing ยท version 0.1.0

List billing plans

GET/api/billing/catalog

Request

cURL
curl -X GET 'https://sourced.sh/api/billing/catalog' \
  -H 'Authorization: Bearer $SOURCED_API_KEY'
TypeScript
const response = await fetch("https://sourced.sh/api/billing/catalog", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.SOURCED_API_KEY}`,
  },
});
const data = await response.json();
Python
import os
import requests

response = requests.request(
    "GET",
    "https://sourced.sh/api/billing/catalog",
    headers={"Authorization": f"Bearer {os.environ['SOURCED_API_KEY']}"},
)

data = response.json()

Responses

200

Public plan catalog (Free Trial, Launch, Scale, Enterprise).

application/json

Schema
type: object
required: plans
properties:
  plans (required): array
    type: array
  stripe: BillingStripeStatus
    BillingStripeStatus:
      type: object
      properties:
        configured: boolean
        mode: string enum live | test | unknown | not_configured
        launchPriceConfigured: boolean
        scalePriceConfigured: boolean
        webhookConfigured: boolean
  readiness: BillingReadiness
    BillingReadiness:
      type: object
      properties:
        mode: string enum live | test | unknown | not_configured
        checkoutConfigured: boolean
        webhookConfigured: boolean
        liveBillingAllowed: boolean
        liveApproved: boolean
        testCheckoutAllowed: boolean
        checkoutAllowed: boolean
        portalAllowed: boolean
        blockers: array
          type: array
  billingEvents: BillingEventsStatus
    BillingEventsStatus:
      type: object
      properties:
        persistenceDriver: string
        durablePersistence: boolean
        idempotentWebhookPersistence: boolean
Was this helpful?